• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

Data Execution Prevention

S
#1
I need to install a FM Patcher program so some of my older plug-in will work
in Photo Shop and PSP.
When I installed the patcher I get this error message that I have attached.
FM Patcher is a small application that lets you change Photoshop .8bf
plugins that were created with older versions of FilterMeister in order to
make them work under Windows Vista. Normally developers just need to
recompile their plugins with the latest FilterMeister release to make them
Vista-compatible, but unfortunately some developers abandoned their plugins.
So we decided to create FM Patcher to enable users of these old plugins to
make them work under Vista.

At the moment Fm Patcher does not fix the problem that old FilterMeister
plugins have with activated Data Execution Prevention (DEP). You still need
to deactivate DEP in your control panel or place your graphics application
on the DEP exclusion list.
Where is the DEP and how do I turn it off?
Thank you for any help you can give me.
Susi
 

My Computer

J

John Barnett MVP

#2
See this link from my website:
http://vistasupport.mvps.org/disable_data_execution_prevention.htm

--
--
John Barnett MVP
Associate Expert
Windows Desktop Experience

Web: http://xphelpandsupport.mvps.org
Web: http://vistasupport.mvps.org

The information in this mail/post is supplied "as is". No warranty of any
kind, either expressed or implied, is made in relation to the accuracy,
reliability or content of this mail/post. The Author shall not be liable for
any direct, indirect, incidental or consequential damages arising out of the
use of, or inability to use, information or opinions expressed in this
mail/post..

"Susi" <nospamtahoe@xxxxxx> wrote in message
news:OHoOPBquIHA.1768@xxxxxx

>I need to install a FM Patcher program so some of my older plug-in will
>work in Photo Shop and PSP.
> When I installed the patcher I get this error message that I have
> attached.
> FM Patcher is a small application that lets you change Photoshop .8bf
> plugins that were created with older versions of FilterMeister in order to
> make them work under Windows Vista. Normally developers just need to
> recompile their plugins with the latest FilterMeister release to make them
> Vista-compatible, but unfortunately some developers abandoned their
> plugins. So we decided to create FM Patcher to enable users of these old
> plugins to make them work under Vista.
>
> At the moment Fm Patcher does not fix the problem that old FilterMeister
> plugins have with activated Data Execution Prevention (DEP). You still
> need to deactivate DEP in your control panel or place your graphics
> application on the DEP exclusion list.
> Where is the DEP and how do I turn it off?
> Thank you for any help you can give me.
> Susi
>
>
>
 

My Computer

T

Tony UK

#3
Click Start/Right Click Computer/Properties/Advanced System
Settings/Performance/Settings: then select your choice of action.

Please let me know if that worked for you.

"Susi" wrote:

> I need to install a FM Patcher program so some of my older plug-in will work
> in Photo Shop and PSP.
> When I installed the patcher I get this error message that I have attached.
> FM Patcher is a small application that lets you change Photoshop .8bf
> plugins that were created with older versions of FilterMeister in order to
> make them work under Windows Vista. Normally developers just need to
> recompile their plugins with the latest FilterMeister release to make them
> Vista-compatible, but unfortunately some developers abandoned their plugins.
> So we decided to create FM Patcher to enable users of these old plugins to
> make them work under Vista.
>
> At the moment Fm Patcher does not fix the problem that old FilterMeister
> plugins have with activated Data Execution Prevention (DEP). You still need
> to deactivate DEP in your control panel or place your graphics application
> on the DEP exclusion list.
> Where is the DEP and how do I turn it off?
> Thank you for any help you can give me.
> Susi
>
>
>
 

My Computer

M

Mark L. Ferguson

#4
Notable Changes in Windows Vista Service Pack 1:
http://technet2.microsoft.com/WindowsVista/en/library/005f921e-f706-401e-abb5-eec42ea0a03e1033.mspx
Data Execution Protection (DEP) is a memory-protection feature available
beginning with Windows XP and Server 2003. SP1 improves security with a new
set of Win32 APIs to allow programmatic control over a process's DEP policy.
This will provide application developers with finer control on a process's
DEP settings for security, testability, compatibility, and reliability.

Michael Howard's Web Log : New NX APIs added to Windows Vista SP1 ... :
http://blogs.msdn.com/michael_howar...1-windows-xp-sp3-and-windows-server-2008.aspx

Memory Management Functions (Windows) :
http://msdn.microsoft.com/en-us/library/aa366781.aspx
SetProcessDEPPolicy:
http://msdn.microsoft.com/en-us/library/bb736299(VS.85).aspx
--
Was this helpful? Then click the Ratings button. Voting helps the web
interface.
http://www.microsoft.com/wn3/locales/help/help_en-us.htm#RateAPostAsAnswer
Mark L. Ferguson
..

"Susi" <nospamtahoe@xxxxxx> wrote in message
news:OHoOPBquIHA.1768@xxxxxx

> I need to install a FM Patcher program so some of my older plug-in will
> work in Photo Shop and PSP.
> When I installed the patcher I get this error message that I have
> attached.
> FM Patcher is a small application that lets you change Photoshop .8bf
> plugins that were created with older versions of FilterMeister in order to
> make them work under Windows Vista. Normally developers just need to
> recompile their plugins with the latest FilterMeister release to make them
> Vista-compatible, but unfortunately some developers abandoned their
> plugins. So we decided to create FM Patcher to enable users of these old
> plugins to make them work under Vista.
>
> At the moment Fm Patcher does not fix the problem that old FilterMeister
> plugins have with activated Data Execution Prevention (DEP). You still
> need to deactivate DEP in your control panel or place your graphics
> application on the DEP exclusion list.
> Where is the DEP and how do I turn it off?
> Thank you for any help you can give me.
> Susi
>
>
>
 

My Computer

S
#5
I got the DEP turned off but got the same error message.
Susi
"Susi" <nospamtahoe@xxxxxx> wrote in message
news:OHoOPBquIHA.1768@xxxxxx

>I need to install a FM Patcher program so some of my older plug-in will
>work in Photo Shop and PSP.
> When I installed the patcher I get this error message that I have
> attached.
> FM Patcher is a small application that lets you change Photoshop .8bf
> plugins that were created with older versions of FilterMeister in order to
> make them work under Windows Vista. Normally developers just need to
> recompile their plugins with the latest FilterMeister release to make them
> Vista-compatible, but unfortunately some developers abandoned their
> plugins. So we decided to create FM Patcher to enable users of these old
> plugins to make them work under Vista.
>
> At the moment Fm Patcher does not fix the problem that old FilterMeister
> plugins have with activated Data Execution Prevention (DEP). You still
> need to deactivate DEP in your control panel or place your graphics
> application on the DEP exclusion list.
> Where is the DEP and how do I turn it off?
> Thank you for any help you can give me.
> Susi
>
>
>
 

My Computer

Users Who Are Viewing This Thread (Users: 1, Guests: 0)